Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfTemplateNameDisplayType

    java.lang.Object
      java.lang.Enum<OdfTemplateNameDisplayType>
          org.odftoolkit.odfdom.dom.type.text.OdfTemplateNameDisplayType

All Implemented Interfaces:
  Serializable, Comparable<OdfTemplateNameDisplayType>

    public enum OdfTemplateNameDisplayType

extends Enum<OdfTemplateNameDisplayType>

DOM implementation of OpenDocument attribute text:display.

Enum Constant Summary
`AREA`
`FULL`
`NAME`
`NAME_AND_EXTENSION`
`PATH`
`TITLE`

Method Summary
`static OdfTemplateNameDisplayType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTemplateNameDisplayType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTemplateNameDisplayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTemplateNameDisplayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME_AND_EXTENSION

    public static final OdfTemplateNameDisplayType NAME_AND_EXTENSION

### PATH

    public static final OdfTemplateNameDisplayType PATH

### NAME

    public static final OdfTemplateNameDisplayType NAME

### FULL

    public static final OdfTemplateNameDisplayType FULL

### AREA

    public static final OdfTemplateNameDisplayType AREA

### TITLE

    public static final OdfTemplateNameDisplayType TITLE

Method Detail

### values

    public static OdfTemplateNameDisplayType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTemplateNameDisplayType c : OdfTemplateNameDisplayType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTemplateNameDisplayType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTemplateNameDisplayType>`
  Returns:
    return the name of OdfTemplateNameDisplayType

### toString

    public static String toString(OdfTemplateNameDisplayType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTemplateNameDisplayType, see text:display
  Returns:
    return the name of OdfTemplateNameDisplayType

### enumValueOf

    public static OdfTemplateNameDisplayType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTemplateNameDisplayType
  Returns:
    return the constant of OdfTemplateNameDisplayType, see text:display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.